Adding custom item to toolbar in Angular File Manager component

18 Nov 20186 minutes to read

The File Manager component allows you to customize the toolbar by modifying existing items or adding new custom items to enhance functionality according to your application requirements.

Customizing the toolbar items

You can modify the items displayed in the toolbar by using the toolbarItems API. To display both default and customized items, it’s Essential® to assign a unique name to each item. Additionally, you have the flexibility to alter the default items by adjusting properties such as tooltipText, iconCss, Text, suffixIcon and more. This level of customization allows you to tailor the toolbar to your specific requirements and design preferences. The names used in the code example below serve as unique identifiers for default toolbar items, while custom items can be assigned any unique name value to distinguish them from the defaults.

The following example demonstrates how to:

  1. Modify the default New Folder item by changing its properties
  2. Add a custom checkbox item to the toolbar using the template property
import { BrowserModule } from '@angular/platform-browser'
import { NgModule, ViewEncapsulation } from '@angular/core'
import { FileManagerAllModule, NavigationPaneService, ToolbarService, DetailsViewService } from '@syncfusion/ej2-angular-filemanager'
import { CheckBoxModule } from '@syncfusion/ej2-angular-buttons'
import { Component, ViewChild } from '@angular/core';
import { FileManagerComponent } from '@syncfusion/ej2-angular-filemanager';
import { CheckBoxComponent, ChangeEventArgs } from '@syncfusion/ej2-angular-buttons';

@Component({
    imports: [FileManagerAllModule, CheckBoxModule],
    providers: [NavigationPaneService, ToolbarService, DetailsViewService],
    encapsulation: ViewEncapsulation.None,
    standalone: true,
    selector: 'app-root',
    styleUrls: ['./app.component.css'],
    template: `<ejs-filemanager id='files' #fileManager [ajaxSettings]='ajaxSettings' height="375px" >
            <e-toolbaritems>
                <e-toolbaritem name= "NewFolder" text= "Create folder" prefixIcon= "e-plus" tooltipText= "Create folder" ></e-toolbaritem>
                <e-toolbaritem name= "Upload"></e-toolbaritem>
                <e-toolbaritem name= "SortBy"></e-toolbaritem>
                <e-toolbaritem name= "Refresh"></e-toolbaritem>
                <e-toolbaritem name= "Cut"></e-toolbaritem>
                <e-toolbaritem name= "Copy"></e-toolbaritem>
                <e-toolbaritem name= "Paste"></e-toolbaritem>
                <e-toolbaritem name= "Delete"></e-toolbaritem>
                <e-toolbaritem name= "Download"></e-toolbaritem>
                <e-toolbaritem name= "Rename"></e-toolbaritem>
                <e-toolbaritem name= "Select">
                    <ng-template #template>
                        <ejs-checkbox #checkbox label="Select All" [checked]="false" (change)="onChange($event)"></ejs-checkbox>
                    </ng-template>
                </e-toolbaritem>
                <e-toolbaritem name= "Selection"></e-toolbaritem>
                <e-toolbaritem name= "View"></e-toolbaritem>
                <e-toolbaritem name= "Details"></e-toolbaritem>
            </e-toolbaritems>
      </ejs-filemanager>`
})
export class AppComponent {
    @ViewChild('fileManager')
    public fileManagerInstance?: FileManagerComponent;
    @ViewChild('checkbox')
    public checkbox?: CheckBoxComponent;
    public ajaxSettings?: object;
    public hostUrl: string = 'https://physical-service.syncfusion.com/';
    public ngOnInit(): void {
        this.ajaxSettings = {
            url: this.hostUrl + 'api/FileManager/FileOperations',
            getImageUrl: this.hostUrl + 'api/FileManager/GetImage',
            uploadUrl: this.hostUrl + 'api/FileManager/Upload',
            downloadUrl: this.hostUrl + 'api/FileManager/Download'
        };
    };
    public onChange(args: ChangeEventArgs): void {
        if (args.checked) {
            (this.fileManagerInstance as FileManagerComponent).selectAll();
            (this.checkbox as CheckBoxComponent).label = 'Unselect All';
        }
        else {
            (this.fileManagerInstance as FileManagerComponent).clearSelection();
            (this.checkbox as CheckBoxComponent).label = 'Select All';
        }
    };
}
@import "node_modules/@syncfusion/ej2-material3-theme/styles/file-manager/index.css";
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Adding custom item to toolbar in React File Manager component

18 Nov 201811 minutes to read

You can modify the items displayed in the toolbar by utilizing the toolbarItems API. To display both default and customized items, it’s Essential® to assign a unique name to each item. Additionally, you have the flexibility to alter the default items by adjusting properties such as tooltipText, iconCss, Text, suffixIcon and more. This level of customization allows you to tailor the toolbar to your specific requirements and design preferences. The names used in the code example below serve as unique identifiers for default toolbar items, while custom items can be assigned any unique name value to distinguish them from the defaults.

For instance, here’s an example of how to add a custom checkbox to the toolbar using the template property. Here we have modified the default New Folder item and added a custom toolbar item for selection.

import { DetailsView, FileManagerComponent, NavigationPane, Toolbar, Inject, ToolbarItemsDirective, ToolbarItemDirective } from '@syncfusion/ej2-react-filemanager';
import { CheckBoxComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
function App() {
    let fileObj;
    let checkbox;
    let hostUrl = "https://physical-service.syncfusion.com/";
    let height = "375px";
    let view = "Details";
    let ajaxSettings = {
        downloadUrl: hostUrl + 'api/FileManager/Download',
        getImageUrl: hostUrl + "api/FileManager/GetImage",
        uploadUrl: hostUrl + 'api/FileManager/Upload',
        url: hostUrl + "api/FileManager/FileOperations"
    };

    function checkboxTemplate() {
        return (
          <CheckBoxComponent ref={ scope => (checkbox = scope )} label="Select All" checked={false} change={onChange} />
        );
      }
    
    function onChange(args) {
        if (args.checked) {
            fileObj.selectAll(); 
            checkbox.label = 'Unselect All';
        }
        else {
            fileObj.clearSelection();
            checkbox.label = 'Select All';
        }
    }
    return (<div>
      <div className="control-section">
          <FileManagerComponent ref={s => (fileObj = s)} id="file" height={height} view={view} ajaxSettings={ajaxSettings}>
            <ToolbarItemsDirective>
                <ToolbarItemDirective name= 'NewFolder' text= 'Create folder' prefixIcon= 'e-plus' tooltipText= 'Create folder'/>
                <ToolbarItemDirective name= 'Upload'/>
                <ToolbarItemDirective name= 'SortBy'/>
                <ToolbarItemDirective name= 'Refresh'/>
                <ToolbarItemDirective name= 'Cut'/>
                <ToolbarItemDirective name= 'Copy'/>
                <ToolbarItemDirective name= 'Paste'/>
                <ToolbarItemDirective name= 'Delete'/>
                <ToolbarItemDirective name= 'Download'/>
                <ToolbarItemDirective name= 'Rename'/>
                <ToolbarItemDirective name= 'Select' template={checkboxTemplate}/>
                <ToolbarItemDirective name= 'Selection'/>
                <ToolbarItemDirective name= 'View'/>
                <ToolbarItemDirective name= 'Details'/>
            </ToolbarItemsDirective>
                <Inject services={[NavigationPane, DetailsView, Toolbar]}/>
          </FileManagerComponent>
      </div>
  </div>);
}
export default App;
import { DetailsView, FileManagerComponent, NavigationPane, Toolbar, Inject, ToolbarItemsDirective, ToolbarItemDirective } from '@syncfusion/ej2-react-filemanager';
import { CheckBoxComponent, ChangeEventArgs } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';

function App() {
  let fileObj: FileManagerComponent;
  let checkbox: CheckBoxComponent;
  let hostUrl: string = "https://physical-service.syncfusion.com/";
  let height: string = "375px";
  let view: string = "Details";
  let ajaxSettings: object = {
      downloadUrl: hostUrl + 'api/FileManager/Download',
      getImageUrl: hostUrl + "api/FileManager/GetImage",
      uploadUrl: hostUrl + 'api/FileManager/Upload',
      url: hostUrl + "api/FileManager/FileOperations"
  };

  function checkboxTemplate() {
    return (
      <CheckBoxComponent ref={ scope => ((checkbox as any) = scope as CheckBoxComponent)} label="Select All" checked={false} change={onChange} />
    );
  }

  function onChange(args: ChangeEventArgs) {
    if (args.checked) {
      fileObj.selectAll(); 
      checkbox.label = 'Unselect All';
    }
    else {
      fileObj.clearSelection();
      checkbox.label = 'Select All';
    }
  }
  return (
  <div>
      <div className="control-section">
          <FileManagerComponent ref={ s => ((fileObj as any) = s as FileManagerComponent)} id="file" view={view} height={height} 
              ajaxSettings = {ajaxSettings}>
                <ToolbarItemsDirective>
                    <ToolbarItemDirective name= 'NewFolder' text= 'Create folder' prefixIcon= 'e-plus' tooltipText= 'Create folder'/>
                    <ToolbarItemDirective name= 'Upload'/>
                    <ToolbarItemDirective name= 'SortBy'/>
                    <ToolbarItemDirective name= 'Refresh'/>
                    <ToolbarItemDirective name= 'Cut'/>
                    <ToolbarItemDirective name= 'Copy'/>
                    <ToolbarItemDirective name= 'Paste'/>
                    <ToolbarItemDirective name= 'Delete'/>
                    <ToolbarItemDirective name= 'Download'/>
                    <ToolbarItemDirective name= 'Rename'/>
                    <ToolbarItemDirective name= 'Select' template={checkboxTemplate}/>
                    <ToolbarItemDirective name= 'Selection'/>
                    <ToolbarItemDirective name= 'View'/>
                    <ToolbarItemDirective name= 'Details'/>
                </ToolbarItemsDirective>
                <Inject services={[ NavigationPane, DetailsView, Toolbar]} />
          </FileManagerComponent>
      </div>
  </div>
  );
}
export default App;
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App from './App';
ReactDOM.render(<App />, document.getElementById('root'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import App from './App';

ReactDOM.render( <App />, document.getElementById('root') as HTMLElement);

Adding custom item to toolbar in Vue File Manager component

18 Nov 201812 minutes to read

You can modify the items displayed in the toolbar by utilizing the toolbarItems API. To display both default and customized items, it’s Essential® to assign a unique name to each item. Additionally, you have the flexibility to alter the default items by adjusting properties such as tooltipText, iconCss, Text, suffixIcon and more. This level of customization allows you to tailor the toolbar to your specific requirements and design preferences. The names used in the code example below serve as unique identifiers for default toolbar items, while custom items can be assigned any unique name value to distinguish them from the defaults.

For instance, here’s an example of how to add a custom checkbox to the toolbar using the template property. Here we have modified the default New Folder item and added a custom toolbar item for selection.

<template>
    <div id="app">
        <ejs-filemanager id="file-manager"  ref="fileManagerInstance" :ajaxSettings="ajaxSettings" >
        <e-toolbaritems>
                    <e-toolbaritem name="NewFolder"></e-toolbaritem>
                    <e-toolbaritem name="Upload"></e-toolbaritem>
                    <e-toolbaritem name="SortBy"></e-toolbaritem>
                    <e-toolbaritem name="Refresh"></e-toolbaritem>
                    <e-toolbaritem name="Cut"></e-toolbaritem>
                    <e-toolbaritem name="Copy"></e-toolbaritem>
                    <e-toolbaritem name="Paste"></e-toolbaritem>
                    <e-toolbaritem name="Delete"></e-toolbaritem>
                    <e-toolbaritem name="Download"></e-toolbaritem>
                    <e-toolbaritem name="Rename"></e-toolbaritem>
                    <e-toolbaritem name="Select" :template="'checkboxTemplate'">
                        <template v-slot:checkboxTemplate>
                            <div><ejs-checkbox ref="checkBoxInstance" :label='Select All' :checked=false :change="onChange"></ejs-checkbox></div>
                        </template>
                    </e-toolbaritem>
                    <e-toolbaritem name="Selection"></e-toolbaritem>
                    <e-toolbaritem name="View"></e-toolbaritem>
                    <e-toolbaritem name="Details"></e-toolbaritem>
                </e-toolbaritems>
        </ejs-filemanager>
    </div>
</template>
<script setup>
import { provide, ref } from "vue";

import { FileManagerComponent as EjsFilemanager, ToolbarItemsDirective as EToolbaritems, ToolbarItemDirective as EToolbaritem, DetailsView, NavigationPane, Toolbar } from "@syncfusion/ej2-vue-filemanager";
import { CheckBoxComponent as EjsCheckbox} from "@syncfusion/ej2-vue-buttons";

const fileManagerInstance = ref(null);
const checkBoxInstance = ref(null);
const ajaxSettings =
{
    url: "https://physical-service.syncfusion.com/api/FileManager/FileOperations",
    getImageUrl: "https://physical-service.syncfusion.com/api/FileManager/GetImage",
    uploadUrl: "https://physical-service.syncfusion.com/api/FileManager/Upload",
    downloadUrl: "https://physical-service.syncfusion.com/api/FileManager/Download"
};
provide('filemanager',  [DetailsView, NavigationPane, Toolbar]);
const onChange = function(args){
    if (args.checked) {
        fileManagerInstance.value.selectAll(); 
        checkBoxInstance.value.label = 'Unselect All';
    }
    else {
       fileManagerInstance.value.clearSelection();
       checkBoxInstance.value.label = 'Select All';
    }
}

</script>
<style>
@import "../node_modules/@syncfusion/ej2-material3-theme/styles/file-manager/index.css";

.e-fe-tick::before {
    content: '\e614';
}
</style>
<template>
    <div id="app">
        <ejs-filemanager id="file-manager"  ref="fileManagerInstance" :ajaxSettings="ajaxSettings" >
        <e-toolbaritems>
                    <e-toolbaritem name="NewFolder"></e-toolbaritem>
                    <e-toolbaritem name="Upload"></e-toolbaritem>
                    <e-toolbaritem name="SortBy"></e-toolbaritem>
                    <e-toolbaritem name="Refresh"></e-toolbaritem>
                    <e-toolbaritem name="Cut"></e-toolbaritem>
                    <e-toolbaritem name="Copy"></e-toolbaritem>
                    <e-toolbaritem name="Paste"></e-toolbaritem>
                    <e-toolbaritem name="Delete"></e-toolbaritem>
                    <e-toolbaritem name="Download"></e-toolbaritem>
                    <e-toolbaritem name="Rename"></e-toolbaritem>
                    <e-toolbaritem name="Select" :template="'checkboxTemplate'">
                        <template v-slot:checkboxTemplate>
                            <div>
                                <ejs-checkbox ref="checkBoxInstance" :label="chkLabel" :checked="false" :change="onChange" ></ejs-checkbox>
                            </div>
                        </template>
                    </e-toolbaritem>
                    <e-toolbaritem name="Selection"></e-toolbaritem>
                    <e-toolbaritem name="View"></e-toolbaritem>
                    <e-toolbaritem name="Details"></e-toolbaritem>
                </e-toolbaritems>
        </ejs-filemanager>
    </div>
</template>
<script>

import { FileManagerComponent, DetailsView, NavigationPane, Toolbar, ToolbarItemDirective, ToolbarItemsDirective } from "@syncfusion/ej2-vue-filemanager";
import { CheckBoxComponent } from "@syncfusion/ej2-vue-buttons";

export default {
    name: "App",
    components: {
        "ejs-filemanager":FileManagerComponent,
        "e-toolbaritems":ToolbarItemsDirective,
        "e-toolbaritem":ToolbarItemDirective,
        "ejs-checkbox":CheckBoxComponent,
    },
    data () {
        return {
           ajaxSettings:
            {
                url: "https://physical-service.syncfusion.com/api/FileManager/FileOperations",
                getImageUrl: "https://physical-service.syncfusion.com/api/FileManager/GetImage",
                uploadUrl: "https://physical-service.syncfusion.com/api/FileManager/Upload",
                downloadUrl: "https://physical-service.syncfusion.com/api/FileManager/Download"
            },
            label: 'Select All'
        };
    },
    computed: {
        chkLabel: {
            get: function () {
                return this.label;
            },
            set: function (label) {
                this.label = label;
            },
        },
    },
    provide: {
            filemanager: [DetailsView, NavigationPane, Toolbar]
    },
    methods: {
        onChange: function (args) {
            var fileObj = this.$refs.fileManagerInstance.ej2Instances;
            if (args.checked) {
                fileObj.selectAll();
                this.label = 'Unselect All';
            } else {
                fileObj.clearSelection();
                this.label = 'Select All';
            }
        },
    }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-material3-theme/styles/file-manager/index.css";

.e-fe-tick::before {
    content: '\e614';
}
</style>